#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

my $Original_File = 'root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/reinstall.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 48 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/reinstall.pm


use_ok('esmith::FormMagick::Panel::reinstall');
use vars qw($panel);
ok($panel = esmith::FormMagick::Panel::reinstall->new(), "Create panel object");
isa_ok($panel, 'esmith::FormMagick::Panel::reinstall');


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

